cURL
curl --request GET \
--url 'https://app.teable.ai/api/template?skip=0&take=300' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/template?skip=0&take=300';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/template?skip=0&take=300',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/template?skip=0&take=300", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
[
{
"id": "<string>",
"snapshot": {
"baseId": "<string>",
"snapshotTime": "2023-11-07T05:31:56Z",
"spaceId": "<string>",
"name": "<string>"
},
"cover": {
"token": "xxxxxxxxxxx",
"size": 1024,
"url": "/bucket/xxxxx",
"path": "/table/xxxxxx",
"mimetype": "video/mp4",
"name": "<string>",
"id": "<string>",
"presignedUrl": "<string>",
"width": 100,
"height": 100,
"thumbnailPath": {
"lg": "<string>",
"sm": "<string>"
}
},
"usageCount": 123,
"visitCount": 123,
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>",
"email": "<string>"
},
"name": "<string>",
"categoryId": [
"<string>"
],
"isSystem": true,
"featured": true,
"isPublished": true,
"description": "<string>",
"baseId": "<string>",
"markdownDescription": "<string>",
"publishInfo": {
"nodes": [
"<string>"
],
"includeData": true,
"defaultActiveNodeId": "<string>",
"defaultUrl": "<string>"
}
}
]template
Get template
get template list
GET
/
template
cURL
Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Abfrageparameter
The templates count you want to skip
Beispiel:
0
The templates count you want to take
Beispiel:
300
Antwort
201 - application/json
Successfully get template list.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Zuletzt geändert am 4. September 2026
War diese Seite hilfreich?

